Skip to main content
GET
List line item

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

limit
integer
default:20

Max records to return.

Required range: x <= 100
next
string

Cursor for the next page (from a previous response).

prev
string

Cursor for the previous page.

include_deleted_records
boolean

Include soft-deleted records.

return_count
boolean

Include the total match count in the response.

expand
string

Comma-separated related resources to expand: item, tax, account, variant.

parent_id[eq]
string

Exact match on parent_id.

parent_id[in]
string

Comma-separated parent_id values (OR match).

parent_type[eq]
enum<string>

Exact match on parent_type.

Available options:
BILL,
INVOICE,
BILL_CREDIT_NOTE,
INVOICE_CREDIT_NOTE,
GOODS_RECEIPT_NOTE,
EXPENSE,
PURCHASE_ORDER,
SALES_ORDER,
CASH_REFUND,
CASH_SALE,
JOURNAL_ENTRY,
ORDER,
SUBSCRIPTION,
ESTIMATE
parent_type[in]
string

Comma-separated parent_type values (OR match).

item_id[eq]
string

Exact match on item_id.

item_id[in]
string

Comma-separated item_id values (OR match).

tax_id[eq]
string

Exact match on tax_id.

tax_id[in]
string

Comma-separated tax_id values (OR match).

account_id[eq]
string

Exact match on account_id.

account_id[in]
string

Comma-separated account_id values (OR match).

variant_id[eq]
string

Exact match on variant_id.

variant_id[in]
string

Comma-separated variant_id values (OR match).

name[eq]
string

Exact match on name.

name[in]
string

Comma-separated name values (OR match).

description[eq]
string

Exact match on description.

description[in]
string

Comma-separated description values (OR match).

rootfi_integration_type[eq]
string

Exact match on rootfi_integration_type.

rootfi_integration_type[in]
string

Comma-separated rootfi_integration_type values (OR match).

rootfi_updated_at[eq]
string

Exact match on rootfi_updated_at.

rootfi_updated_at[in]
string

Comma-separated rootfi_updated_at values (OR match).

rootfi_updated_at[gte]
string

rootfi_updated_at greater-than-or-equal.

rootfi_updated_at[lte]
string

rootfi_updated_at less-than-or-equal.

created_at[eq]
string

Exact match on created_at.

created_at[in]
string

Comma-separated created_at values (OR match).

created_at[gte]
string

created_at greater-than-or-equal.

created_at[lte]
string

created_at less-than-or-equal.

updated_at[eq]
string

Exact match on updated_at.

updated_at[in]
string

Comma-separated updated_at values (OR match).

updated_at[gte]
string

updated_at greater-than-or-equal.

updated_at[lte]
string

updated_at less-than-or-equal.

Response

200 - application/json

A paginated list of line_item.

data
object
required
request_id
string
required